% Výpočet parametru EDT.
% Zdroj výpočetního algoritmu jsou z oficiálních webové stránky výrobce
% programu  Matlab 
% (http://www.mathworks.com/matlabcentral/fileexchange/11392-acmus-room-aco
% ustic-parameters)


function [EDT,x,E] = reverberb_EDT(ir, Fs)

global x;
global Fs;


E(length(ir):-1:1) = (cumsum(ir(length(ir):-1:1))/sum(ir));

if find(E < 0)
    E(min(find(E < 0)):end) = [];
    E=10*log10(E);
else
    E=10*log10(E);
end


x = (0:length(E)-1)/44100;

% ------------------------------------------------------------
% výpočet EDT; 
t10   = min(find(E < -5));     
[A10,B10] = intlinear(x(1:t10),E(1:t10));
EDT = (-60)/(B10)

end